Вы не знаете JS: ES6 и не только
beta